ExecutionException (Java SE 15 & JDK 15)
Description: declaration: module: java.base, package: java.util.concurrent, class: ExecutionException
Keywords: java.util.concurrent.ExecutionException class

Module java.base
Package java.util.concurrent

# Class ExecutionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.util.concurrent.ExecutionException

All Implemented Interfaces:
  `Serializable`

    public class ExecutionException
    extends Exception

Exception thrown when attempting to retrieve the result of a task that aborted by throwing an exception. This exception can be inspected using the `Throwable.getCause()` method.

Since:
  1.5
See Also:
  `Future`, Serialized Form

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ExecutionException()` | Constructs an `ExecutionException` with no detail message.
  `protected` | `ExecutionException​(String message)` | Constructs an `ExecutionException` with the specified detail message.
  `` | `ExecutionException​(String message, Throwable cause)` | Constructs an `ExecutionException` with the specified detail message and cause.
  `` | `ExecutionException​(Throwable cause)` | Constructs an `ExecutionException` with the specified cause.

- ## Method Summary

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExecutionException

    protected ExecutionException()
    Constructs an `ExecutionException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

  - ### ExecutionException

    protected ExecutionException​(String message)
    Constructs an `ExecutionException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.
    Parameters:
      `message` - the detail message

  - ### ExecutionException

    public ExecutionException​(String message, Throwable cause)
    Constructs an `ExecutionException` with the specified detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

  - ### ExecutionException

    public ExecutionException​(Throwable cause)
    Constructs an `ExecutionException` with the specified cause. The detail message is set to `(cause == null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)